Index: kernel/generic/src/synch/futex.c
===================================================================
--- kernel/generic/src/synch/futex.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
+++ kernel/generic/src/synch/futex.c	(revision 1b20da07baaa3e3c424f62c927274e676e4295cd)
@@ -35,12 +35,12 @@
  * @file
  * @brief	Kernel backend for futexes.
- * 
- * Kernel futex objects are stored in a global hash table futex_ht 
+ *
+ * Kernel futex objects are stored in a global hash table futex_ht
  * where the physical address of the futex variable (futex_t.paddr)
- * is used as the lookup key. As a result multiple address spaces 
- * may share the same futex variable. 
- * 
+ * is used as the lookup key. As a result multiple address spaces
+ * may share the same futex variable.
+ *
  * A kernel futex object is created the first time a task accesses
- * the futex (having a futex variable at a physical address not 
+ * the futex (having a futex variable at a physical address not
  * encountered before). Futex object's lifetime is governed by
  * a reference count that represents the number of all the different
@@ -48,15 +48,15 @@
  * physical address of the futex variable. A futex object is freed
  * when the last task having accessed the futex exits.
- * 
+ *
  * Each task keeps track of the futex objects it accessed in a list
- * of pointers (futex_ptr_t, task->futex_list) to the different futex 
+ * of pointers (futex_ptr_t, task->futex_list) to the different futex
  * objects.
- * 
+ *
  * To speed up translation of futex variables' virtual addresses
  * to their physical addresses, futex pointers accessed by the
  * task are furthermore stored in a concurrent hash table (CHT,
  * task->futexes->ht). A single lookup without locks or accesses
- * to the page table translates a futex variable's virtual address 
- * into its futex kernel object. 
+ * to the page table translates a futex variable's virtual address
+ * into its futex kernel object.
  */
 
@@ -119,5 +119,5 @@
 
 /** Mutex protecting the global futex hash table.
- * 
+ *
  * Acquire task specific TASK->futex_list_lock before this mutex.
  */
@@ -125,5 +125,5 @@
 
 /** Global kernel futex hash table. Lock futex_ht_lock before accessing.
- * 
+ *
  * Physical address of the futex variable is the lookup key.
  */
@@ -170,5 +170,5 @@
 	if (interrupts_disabled()) {
 		/* Invoke the blocking cht_destroy in the background. */
-		workq_global_enqueue_noblock(&task->futexes->destroy_work, 
+		workq_global_enqueue_noblock(&task->futexes->destroy_work,
 			destroy_task_cache);
 	} else {
@@ -181,8 +181,8 @@
 static void destroy_task_cache(work_t *work)
 {
-	struct futex_cache *cache = 
+	struct futex_cache *cache =
 		member_to_inst(work, struct futex_cache, destroy_work);
 	
-	/* 
+	/*
 	 * Destroy the cache before manually freeing items of the cache in case
 	 * table resize is in progress.
@@ -216,5 +216,5 @@
 		 * task have already terminated, so they have also definitely
 		 * exited their CHT futex cache protecting rcu reader sections.
-		 * Moreover release_ref() only frees the futex if this is the 
+		 * Moreover release_ref() only frees the futex if this is the
 		 * last task referencing the futex. Therefore, only threads
 		 * of this task may have referenced the futex if it is to be freed.
@@ -273,5 +273,5 @@
 	futex_t *futex = find_cached_futex(uaddr);
 	
-	if (futex) 
+	if (futex)
 		return futex;
 
@@ -319,5 +319,5 @@
 
 	if (futex_ptr_link) {
-		futex_ptr_t *futex_ptr 
+		futex_ptr_t *futex_ptr
 			= member_to_inst(futex_ptr_link, futex_ptr_t, cht_link);
 		
@@ -333,6 +333,6 @@
 
 
-/** 
- * Returns a kernel futex for the physical address @a phys_addr and caches 
+/**
+ * Returns a kernel futex for the physical address @a phys_addr and caches
  * it in this task under the virtual address @a uaddr (if not already cached).
  */
@@ -341,6 +341,6 @@
 	futex_t *futex = malloc(sizeof(futex_t), 0);
 	
-	/* 
-	 * Find the futex object in the global futex table (or insert it 
+	/*
+	 * Find the futex object in the global futex table (or insert it
 	 * if it is not present).
 	 */
@@ -360,6 +360,6 @@
 	spinlock_unlock(&futex_ht_lock);
 	
-	/* 
-	 * Cache the link to the futex object for this task. 
+	/*
+	 * Cache the link to the futex object for this task.
 	 */
 	futex_ptr_t *fut_ptr = malloc(sizeof(futex_ptr_t), 0);
@@ -382,5 +382,5 @@
 		
 		futex_ptr_t *dup = member_to_inst(dup_link, futex_ptr_t, cht_link);
-		futex = dup->futex;		
+		futex = dup->futex;
 	}
 
@@ -402,5 +402,5 @@
 	futex_t *futex = get_futex(uaddr);
 	
-	if (!futex) 
+	if (!futex)
 		return (sys_errno_t) ENOENT;
 
@@ -473,5 +473,5 @@
 
 /*
- * Operations of a task's CHT that caches mappings of futex user space 
+ * Operations of a task's CHT that caches mappings of futex user space
  * virtual addresses to kernel futex objects.
  */
